Class | NullClass
In: | lib/facets/more/nullclass.rb
Parent: | Object

# NullClass

NullClass is essentially NilClass but it differs in one important way. When a method is called against it that it deoesn‘t have, it will simply return null value rather then raise an error.

### Methods

[] inspect method_missing new nil? null?

### Public Class methods

new()

### Public Instance methods

[](key)
inspect()
method_missing(sym, *args)
nil?()
null?()

[Validate]